{
    description = "Environment for building a C++ projects";
    inputs = {
        nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    };
    outputs = { nixpkgs, ... }:
        let
            system = "x86_64-linux";  # Adjust for your system
            pkgs = import nixpkgs { inherit system; };
            dependencies = with pkgs; [
                cmake
                gnumake
                clang
            ];
        in {
            devShells."${system}".default = pkgs.mkShell {
                packages = dependencies;
            };
        };
}
