{
    description = "Nix environment with LaTeX";
    inputs = {
        nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    };
    outputs = { nixpkgs, ... }:
        let
            system = "x86_64-linux";  # Adjust for your system
            pkgs = import nixpkgs { inherit system; };

            texliveFull = pkgs.texliveFull.withPackages (ps: [ ps.uantwerpendocs ]);
            dependencies = [
                texliveFull
            ];
        in {
            devShells."${system}".default = pkgs.mkShell {
                packages = dependencies;
            };
        };
}
