{
  description = "Generic Python Dependencies";
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
  };
  outputs = { nixpkgs, ... }:
    let
      system = "x86_64-linux";  # Adjust for your system
      pkgs = import nixpkgs { inherit system; };
      dependencies = with pkgs; with python311Packages; [
        python
      ];
    in {
      devShells."${system}".default = pkgs.mkShell {
        packages = dependencies;
      };
      packages.x86_64-linux.default = pkgs.python311Packages.buildPythonApplication {
          pname = "app";
          src = ./.;
          version = "1.0";
          buildInputs = dependencies;
      };
    };
}
